Bug 246704 - gfortran on i386 gives "nomemodule.f90:0: internal compiler error: Illegal instruction" on simple module working on x86_64
gfortran on i386 gives "nomemodule.f90:0: internal compiler error: Illegal in...
Product: Fedora
Classification: Fedora
Component: gmp (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-04 04:28 EDT by Raimondo Giammanco
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-30 06:45:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Raimondo Giammanco 2007-07-04 04:28:09 EDT
Description of problem:
Have the following simple module.f90:
module definitions
  implicit  none

  real,parameter :: EPS=1.0e-12                    ! Presicion parameter

end module definitions
on FC6 x86_64 with gfortran -c module.f90 it compiles no problem,
with FC6 i386 it gives:

module.f90:0: internal compiler error: Illegal instruction
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.

Version-Release number of selected component (if applicable):


How reproducible:
trying to compile the module

Steps to Reproduce:
1. compile te module
Actual results:
Error information

Expected results:
Object file

Additional info:
Was working before on FC4, FC5 etc. etc.
Comment 1 Jakub Jelinek 2007-07-04 04:53:04 EDT
This sounds like gmp-4.1.4-10.fc6 wasn't ever built nor pushed (like -10.el5
was pushed for RHEL5 and -11 for F7), so libmpfr.a contains SSE2 instructions
which crash on prehistoric CPUs.
Comment 2 Raimondo Giammanco 2007-07-04 05:07:42 EDT
This comment made me check all the FC6 i386 machines I have. Most of them are
AMDs (AMD Athlon(tm) XP 2400+), but I found a Intel(R) Celeron(R) CPU 2.40GHz
where indeed the module compile. 
Comment 3 Ivana Varekova 2007-07-25 10:07:03 EDT
Fixed in gmp-4.1.4-10.fc6.

Note You need to log in before you can comment on or make changes to this bug.